Skip to main content
GET
/
v1
/
findings
List findings
curl --request GET \
  --url https://api.zelto.ai/v1/findings \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "tags": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "description": {},
      "findingType": 123,
      "assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer YOUR_API_KEY. The key resolves to a single organization.

Query Parameters

status
enum<string>
Available options:
open,
acknowledged,
resolved,
ignored
priority
enum<string>
Available options:
none,
low,
medium,
high,
urgent
tags
string

Comma-separated list of tags.

limit
integer
default:50

Items per page. Default 50, max 200.

Required range: 1 <= x <= 200
cursor
string

Opaque pagination cursor. Pass the nextCursor returned by the previous page.

Response

Page of findings.

data
object[]
required
nextCursor
string | null
required